## dde-polkit-agent 5.4.3

=== debian/changelog ===
dde-polkit-agent (5.4.3-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Sat, 20 Mar 2021 14:45:59 +0800

dde-polkit-agent (1.0-1) unstable; urgency=medium

  * Initial release

 -- Deepin Packages Builder <packages@deepin.com>  Thu, 04 Aug 2016 15:42:28 +0800
