=== debian/control ===
Source: dde-polkit-agent
Section: devel
Priority: optional
Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-Depends: debhelper (>=9),
	pkg-config,
	cmake,
	libpolkit-qt5-1-dev (>> 5.0.0.2),
	libdtkwidget-dev,
	qttools5-dev-tools,
	libdframeworkdbus-dev
Standards-Version: 3.9.8
Homepage: http://www.deepin.org/

Package: dde-polkit-agent
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, dpa-ext-gnomekeyring
Description: PolicyKit agent for DDE.
 PolicyKit agent is usually a dialog used to provide a way to let users
 grant permission to specific actions, this package serves the role in
 Deepin Desktop Environment.

Package: dde-polkit-agent-dev
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: developement files of dde-polkit-agent extensions.
 Development files of dde-polkit-agent extensions.
