## dde-polkit-agent 5.5.21

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 set(BIN_NAME dde-polkit-agent)
 
-project(${BIN_NAME})
+project(${BIN_NAME} CXX)
 
 #set(CMAKE_VERBOSE_MAKEFILE ON)
 set(CMAKE_CXX_STANDARD 14)
@@ -12,7 +12,9 @@
 set(CMAKE_CXX_FLAGS "-g -Wall")
 
 # 增加安全编译参数
-ADD_DEFINITIONS("-fstack-protector-strong -D_FORTITY_SOURCE=1 -z noexecstack -pie -fPIC -z lazy")
+set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fstack-protector-all")
+set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fstack-protector-all")
+set(CMAKE_EXE_LINKER_FLAGS  "-z relro -z now -z noexecstack -pie")
 
 if (CMAKE_BUILD_TYPE STREQUAL "Debug")
     set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -fsanitize=address -O2")
@@ -56,6 +58,20 @@
     ${CMAKE_CURRENT_BINARY_DIR}/polkit1authagent_adaptor
     -N
 )
+
+# test deepin-polkit
+try_compile(DEEPIN_POLKIT_TEST
+              ${CMAKE_CURRENT_BINARY_DIR}/try_compile
+            SOURCES
+              ${CMAKE_CURRENT_SOURCE_DIR}/tests/polkit.cc
+            LINK_LIBRARIES
+              ${Polkit-qt5_LIBRARIES}
+              Qt5::Core
+)
+
+if (DEEPIN_POLKIT_TEST)
+    add_definitions(-DUSE_DEEPIN_POLKIT)
+endif()
 
 set(AuthAgent_DBUS_SCRS
     ${CMAKE_CURRENT_BINARY_DIR}/polkit1authagent_adaptor.h
