=== debian/changelog ===
dde-polkit-agent (5.5.21-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 15 Aug 2022 21:40:56 +0800

dde-polkit-agent (1.0) unstable; urgency=medium

  * Initial release

 -- Deepin Packages Builder <packages@deepin.com>  Thu, 04 Aug 2016 15:42:28 +0800
