=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper (>=9),
 	pkg-config,
 	cmake,
-	libpolkit-qt5-1-dev (>> 5.0.0.2),
+	libpolkit-qt5-1-dev,
 	libdtkwidget-dev,
 	qttools5-dev-tools,
 	libdframeworkdbus-dev
