## dde-polkit-agent 6.0.7

=== debian/changelog ===
dde-polkit-agent (6.0.7) unstable; urgency=medium

  * fix: set BypassWindowManagerHint to deny resize/move/layer

 -- rewine <luhongxu@deepin.org>  Tue, 26 Mar 2024 18:24:41 +0800

dde-polkit-agent (6.0.6) unstable; urgency=medium

  * fix: auth dialog should be immovable

 -- rewine <luhongxu@deepin.org>  Fri, 15 Mar 2024 11:19:17 +0800

dde-polkit-agent (6.0.5) unstable; urgency=medium

  * chore: filter dpa-ext-gnomekeyring and cancel pre installation

 -- bluesky <chenchongbiao@deepin.org>  Mon, 04 Sep 2023 11:35:33 +0800

dde-polkit-agent (6.0.4) unstable; urgency=medium

  * fix qdbusxml2cpp-fix not found
  * Revert "feat: 密码保险箱优化"

 -- chenhongtao <chenhongtao@deepin.org>  Tue, 01 Aug 2023 16:04:37 +0800

dde-polkit-agent (6.0.3) unstable; urgency=medium

  * bring back option for USE_DEEPIN_POLKIT

 -- chenhongtao <chenhongtao@uniontech.com>  Thu, 20 Apr 2023 16:54:37 +0800

dde-polkit-agent (6.0.2) unstable; urgency=medium

  * update changelog for V23 beta 

 -- linxin <linxin@uniontech.com>  Wed, 28 Mar 2023 11:15:37 +0800

dde-polkit-agent (6.0.1) unstable; urgency=medium

  [ TagBuilder ]
  * chore: V23接口改造适配(Task: 207483)(Influence: 无)

 -- zhaoyingzhen <zhaoyingzhen@uniontech.com>  Tue, 13 Dec 2022 19:13:55 +0800

dde-polkit-agent (6.0.0.0) unstable; urgency=medium

  * release 6.0.0.0

 --  <fanpengcheng@uniontech.com>  Tue, 14 June 2022 17:00:13 +0800

dde-polkit-agent (5.5.22) unstable; urgency=low

  * bump version to 5.5.22

 -- lichangze <lichangze@uniontech.com>  Mon, 9 Jan 2023 16:20:17 +0000
