=== debian/control ===
Source: dde-polkit-agent
Section: devel
Priority: optional
Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-Depends: debhelper (>=9),
	pkg-config,
	cmake,
	libpolkit-qt5-1-dev (>0.114.0),
	libdtkwidget-dev,
	libdtkcore-dev,
	qttools5-dev-tools,
	libdtkcore5-bin,
	lsb-release
Standards-Version: 3.9.8
Homepage: http://www.deepin.org/

Package: dde-polkit-agent
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
Description: PolicyKit agent for DDE.
 PolicyKit agent is usually a dialog used to provide a way to let users
 grant permission to specific actions, this package serves the role in
 Deepin Desktop Environment.

Package: dde-polkit-agent-dev
Architecture: any
Depends: dde-polkit-agent( =${binary:Version}),
${shlibs:Depends}, ${misc:Depends}
Description: development files of dde-polkit-agent extensions.
 Development files of dde-polkit-agent extensions.
