=== debian/changelog ===
dde-polkit-agent (6.0.12) unstable; urgency=medium

  * feat: Add files generated by qdbusXML2cpp and DCONG2cpp

 -- fuleyi <fuleyi@uniontech.com>  Wed, 26 Mar 2025 16:15:19 +0800

dde-polkit-agent (6.0.11) unstable; urgency=medium

  * Fix unable to input password on x11 environment

 -- Yutao Meng <mengyutao@deepin.org>  Mon, 16 Dec 2024 17:37:15 +0800

dde-polkit-agent (6.0.10) unstable; urgency=medium

  * fix: Support always on top under Wayland by Layershell (#164)

 -- Yutao Meng <mengyutao@deepin.org>  Thu, 12 Dec 2024 09:50:24 +0800

dde-polkit-agent (6.0.9) unstable; urgency=medium

  * fix: uos polkit agent cannot authenticate (#168)(Bug: 289335)

 -- Deepin Packages Builder <packages@deepin.org>  Mon, 25 Nov 2024 20:01:23 +0800
