=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,8 @@
 DISTRO = $(shell lsb_release -is)
 ifeq ($(DISTRO),Deepin)
 	USE_DEEPIN_POLKIT=ON
+else ifeq ($(DISTRO),uos)
+    USE_DEEPIN_POLKIT=ON
 else
 	USE_DEEPIN_POLKIT=OFF
 endif
