## dde-polkit-agent 6.0.13

=== debian/changelog ===
dde-polkit-agent (6.0.13) unstable; urgency=medium

  * feat: decouple from the proprietary component DA

 -- fuleyi <fuleyi@uniontech.com>  Wed, 04 Jun 2025 15:54:30 +0800
