## dde-polkit-agent 6.0.14

=== debian/changelog ===
dde-polkit-agent (6.0.14) unstable; urgency=medium

  * refactor: update build flags and security hardening

 -- WuJiangYu <wujiangyu@uniontech.com>  Thu, 03 Jul 2025 20:28:51 +0800
