=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,8 @@
 	USE_DEEPIN_POLKIT=ON
 else ifeq ($(DISTRO),uos)
     USE_DEEPIN_POLKIT=ON
+else ifeq ($(DISTRO),Uos)
+    USE_DEEPIN_POLKIT=ON
 else
 	USE_DEEPIN_POLKIT=OFF
 endif
